## xutils-dev 7.4%2B3

=== debian/changelog ===
xutils-dev (1:7.4+3) unstable; urgency=low

  * Add a mention of xorg-macros in the long description, so apt-cache search
    can find them.  Thanks, Eric Anholt!

 -- Julien Cristau <jcristau@debian.org>  Fri, 18 Jul 2008 20:01:34 +0200

xutils-dev (1:7.4+2) unstable; urgency=low

  * Extend 05_xaw_without_xp.diff to disable Xp from Xaw on hurd-i386
    and try to disable it for kfreebsd-i386 as well.
    Thanks Samuel Thibault, closes: #483093.
  * Add myself to Uploaders.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 07:26:55 +0200

xutils-dev (1:7.4+1) unstable; urgency=low

  [ Timo Aaltonen ]
  * debian/control:
    - C/R/P: imake, makedepend, xorg-build-macros, xmkmf
      Change from ubuntu to help upgrades from their earlier releases.

  [ Julien Cristau ]
  * util-macros 1.1.6.
  * Add myself to Uploaders, remove Fabio and Branden with their permission.
  * Bump Standards-Version to 3.7.3 (no changes).
  * Add Vcs-* control fields.

 -- Julien Cristau <jcristau@debian.org>  Sat, 08 Mar 2008 02:57:06 +0100

xutils-dev (1:7.2.ds2-1) unstable; urgency=low

  [ Julien Cristau ]
  * [xorg-cf-files] Add patch from upstream git to define GNUArchitecture on
    GNU/kFreeBSD.  Thanks, Robert Millan (closes: #357582).

  [ Brice Goglin ]
  * [imake] Fix typo in 02_mkdirhier_rewrite.diff.
    Thanks, A. Costa (closes: #306690).

  [ Julien Cristau ]
  * Update makedepend to 1.0.1.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 09 Apr 2007 03:55:00 +0200

xutils-dev (1:7.2.ds-1) experimental; urgency=low

  * Update util-macros to 1.1.5 (X11R7.2).
  * autoreconf everything.

 -- Julien Cristau <jcristau@debian.org>  Sat, 17 Feb 2007 18:05:53 +0100

xutils-dev (1:7.1.ds-6) unstable; urgency=high

  * Add 06_font_path.diff. This fixes X11.tmpl so that imake-using apps will
    install fonts to /usr/share/fonts/X11 and encodings to
    /usr/share/fonts/X11/encodings, just like the xfonts packages. Thanks
    Géraud Meyer for reporting the bug and Julien Cristau for finding the fix.
    Closes: #403765

 -- David Nusinow <dnusinow@debian.org>  Tue, 19 Dec 2006 20:56:23 -0500

xutils-dev (1:7.1.ds-5) unstable; urgency=low

  * Remove obsolete qualifier about imake and old gcc conflict from long
    package description. Thanks Kevin B. McCarty. Closes: #362141
  * Add util-macros 1.1.2 to allow building docbook docs

 -- David Nusinow <dnusinow@debian.org>  Mon,  4 Dec 2006 19:06:35 -0500

xutils-dev (1:7.1.ds-4) unstable; urgency=low

  * Autoreconf to fix manpage suffix bugs on all platforms I'm aware of.
    Thanks Robert Millan. Closes: #363483

 -- David Nusinow <dnusinow@debian.org>  Sat, 14 Oct 2006 12:23:58 -0400

xutils-dev (1:7.1.ds-3) unstable; urgency=low

  * New upstream release of util-macros (1.1.1). This makes our manpage
    section patch obsolete.

 -- David Nusinow <dnusinow@debian.org>  Mon, 28 Aug 2006 21:10:13 +0000

xutils-dev (1:7.1.ds-2) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Wed,  9 Aug 2006 21:48:23 +0000

xutils-dev (1:7.1.ds-1) experimental; urgency=low

  [ David Nusinow ]
  * Re-version the package to upstream katamari release version. The ds is for
    Debian Source, because bundling these apps together is a Debianism. The
    apps in this package will all be from X11R7.1
  * Update gccmakedep to 1.0.2
  * Update imake to 1.0.2
  * Update util-macros to 1.0.2
  * Update xorg-cf-files to 1.0.2
  * Add a series number for the xaw_without_xp patch
  * Add 06_linux_manpage_suffixes.diff which now creates manpages without the
    x suffix on linux
    + Make use of this fix in this package by autoreconf'ing with the macros
      containing this fix installed
  * Move depends on xorg-x11 to pre-depends
  * Bump standards version to 3.7.2.0
  * Correct the mkdirhier manpage rewrite patch so that the manpage suffix is
    correct
  * Stop trying to put the debugging symbols somewhere. We're not going to
    ship them unless there's a compelling reason to do so
  * Run dh_install with --list-missing
  * Bump debhelper compatibility to 5

  [ Andres Salomon ]
  * Update util-macros to 1.1.0.
  * Update 06_linux_manpage_suffixes.diff for utils-macros 1.1.0.
  * Test for -obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.

 -- Andres Salomon <dilinger@debian.org>  Sun, 23 Jul 2006 21:49:56 -0400

xutils-dev (1:1.0.2-3) unstable; urgency=low

  * debian/patches/xaw-without-xp: update the templates to not pull in
    libXp as a dependency of libXaw, since libxaw8 is being dropped and
    this is therefore no longer the case.  Thanks to Daniel Schepler.
    Closes: #363267.

 -- David Nusinow <dnusinow@debian.org>  Tue, 18 Apr 2006 19:53:55 -0400

xutils-dev (1:1.0.2-2) unstable; urgency=low

  * Add 03_xutils-dev-FHS.diff and 04_xutils-dev-debian.diff from Eugene Konev
    and Steve Langasek. These should allow imake-using apps to build as in the
    past. Thanks to both of them. (closes: #362886)

 -- David Nusinow <dnusinow@debian.org>  Sun, 16 Apr 2006 10:29:53 -0400

xutils-dev (1:1.0.2-1) unstable; urgency=low

  * Include missed .cf files. Thanks Giacomo Boffi and Russ Allbery.
    (closes: #362439, #362678)

 -- David Nusinow <dnusinow@debian.org>  Sat, 15 Apr 2006 19:09:22 -0400

xutils-dev (1:1.0.1-4) unstable; urgency=low

  * Add x11proto-core-dev to build-depends. Thanks Lamont. (closes: #362177)

 -- David Nusinow <dnusinow@debian.org>  Thu, 13 Apr 2006 00:06:15 -0400

xutils-dev (1:1.0.1-3) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Tue,  4 Apr 2006 19:36:30 -0400

xutils-dev (1:1.0.1-2) experimental; urgency=low

  * Port patches from trunk
    + netbsd/841_netbsd_imake.c_fixes.diff
    + general/099u_mkdirhier_rewrite.diff

 -- David Nusinow <dnusinow@debian.org>  Tue, 28 Feb 2006 23:42:18 -0500

xutils-dev (1:1.0.1-1) experimental; urgency=low

  [ David Nusinow ]
  * First modular upload to Debian



## xutils-dev 7.7+7

=== xorg-cf-files/meson_options.txt ===
#
# Copyright (c) 2023, Oracle and/or its affiliates.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

option('with-fontrootdir', type : 'string',
       description : 'Path to root directory for font files')
option('with-encodingsdir', type : 'string',
       description : 'Path to encodings files')

option('with-config-dir', type : 'string',
       description : 'Path to config dir')

## xutils-dev 7.4+3

=== debian/control ===
Source: xutils-dev
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Julien Cristau <jcristau@debian.org>, Brice Goglin <bgoglin@debian.org>
Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev
Standards-Version: 3.7.3
Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git

Package: xutils-dev
Architecture: any
Pre-Depends: x11-common (>= 1:7.0.0)
Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
Conflicts: imake (<= 1:1.0.1-1), makedepend (<= 1:1.0.0-1), xorg-build-macros (<= 1.0.1-1), xmkmf (<= 0.99.0-6)
Replaces: imake (<= 1:1.0.1-1), makedepend (<= 1:1.0.0-1), xorg-build-macros (<= 1.0.1-1), xmkmf (<= 0.99.0-6)
Provides: imake, makedepend, xorg-build-macros, xmkmf
Description: X Window System utility programs for development
 xutils-dev provides a set of utility programs shipped with the X Window System
 that do not require the X libraries; many of these programs are useful
 even on a system that does not have any X clients or X servers installed.
 .
 The programs in this package include:
  - ccmakedep, a version of makedepend which "does it right"
  - imake, a C preprocessor interface to the make utility;
  - lndir, a tool that creates a shadow directory of symbolic links to
    another directory tree;
  - makedepend, a tool to create dependencies in makefiles;
  - makeg, a tool for making debuggable executables.
 .
 This package also contains xorg-macros.m4, a set of macros used in configure
 scripts of X.Org packages.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xutils package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set this to the name of the main shlib's binary package
PACKAGE = xutils-dev

include debian/xsfbs/xsfbs.mk

# This package contains multiple modules as shipped by upstream. Each module is # contained in a subdirectory in the root dir of the package. You must list each
# subdirectory explicitly so that the build system knows what to build
SUBDIRS="gccmakedep imake lndir makedepend util-macros xorg-cf-files"

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif


build: genscripts patch build-stamp
build-stamp:
	dh_testdir
	for FILE in "$(SUBDIRS)"; do \
		test -d "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE) || mkdir "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE); \
		(cd "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE) && \
		../"$$FILE"/configure --prefix=/usr --mandir=\$${prefix}/share/man \
		             --infodir=\$${prefix}/share/info $(confflags) \
		             CFLAGS="$(CFLAGS)" && \
		$(MAKE)) || exit 1; \
	done

	touch build-stamp

clean: xsfclean
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf *-obj-*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	for FILE in "$(SUBDIRS)"; do \
		cd "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install ; \
		cd ..; \
	done

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_install --sourcedir=debian/tmp --list-missing
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_makeshlibs
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xutils-dev 7.4+4

=== debian/changelog ===
xutils-dev (1:7.4+4) unstable; urgency=low

  * util-macros 1.2.1.

 -- Julien Cristau <jcristau@debian.org>  Fri, 19 Dec 2008 13:34:41 +0100

## xutils-dev 7.4+5ubuntu1

=== debian/changelog ===
xutils-dev (1:7.4+5ubuntu1) karmic; urgency=low

  * 08_malloc0_cross.diff: Use conservative default for malloc(0) when
    cross-compiling (fd.o #24460).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Oct 2009 18:02:34 +0100

xutils-dev (1:7.4+5) unstable; urgency=low

  * Don't call dh_makeshlibs, silences lintian warning.
  * Fix patches 01 and 02 to apply with -p1, to silence lintian.
  * util-macros 1.2.2.
  * Adjust debian/rules to parse space-separated DEB_BUILD_OPTIONS (policy
    3.8), move building each subdir to its own rule, and allow building in
    parallel.  Also call dh_install with --fail-missing to avoid building a
    broken package.
  * Bump Standards-Version to 3.8.2 due to the above change and the addition
    of README.source from xsfbs.

 -- Julien Cristau <jcristau@debian.org>  Sun, 02 Aug 2009 15:10:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Julien Cristau <jcristau@debian.org>, Brice Goglin <bgoglin@debian.org>
 Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev
-Standards-Version: 3.7.3
+Standards-Version: 3.8.2
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git

=== debian/rules ===
--- 
+++ 
@@ -14,16 +14,17 @@
 
 # This package contains multiple modules as shipped by upstream. Each module is # contained in a subdirectory in the root dir of the package. You must list each
 # subdirectory explicitly so that the build system knows what to build
-SUBDIRS="gccmakedep imake lndir makedepend util-macros xorg-cf-files"
+SUBDIRS= gccmakedep imake lndir makedepend util-macros xorg-cf-files
 
 CFLAGS = -Wall -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -36,19 +37,19 @@
 endif
 
 
-build: genscripts patch build-stamp
-build-stamp:
-	dh_testdir
-	for FILE in "$(SUBDIRS)"; do \
-		test -d "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE) || mkdir "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE); \
-		(cd "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE) && \
-		../"$$FILE"/configure --prefix=/usr --mandir=\$${prefix}/share/man \
-		             --infodir=\$${prefix}/share/info $(confflags) \
-		             CFLAGS="$(CFLAGS)" && \
-		$(MAKE)) || exit 1; \
-	done
+build: build-stamp
+build-stamp: $(STAMP_DIR)/genscripts $(foreach dir, $(SUBDIRS), $(STAMP_DIR)/build-$(dir))
+	>$@
 
-	touch build-stamp
+$(STAMP_DIR)/build-%: $(STAMP_DIR)/patch
+	mkdir -p $*-obj-$(DEB_BUILD_GNU_TYPE)
+	cd $*-obj-$(DEB_BUILD_GNU_TYPE) && \
+		../$*/configure --prefix=/usr --mandir=\$${prefix}/share/man \
+		--infodir=\$${prefix}/share/info $(confflags) \
+		CFLAGS="$(CFLAGS)"
+	cd $*-obj-$(DEB_BUILD_GNU_TYPE) && \
+		$(MAKE)
+	>$@
 
 clean: xsfclean
 	dh_testdir
@@ -69,7 +70,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	for FILE in "$(SUBDIRS)"; do \
+	for FILE in $(SUBDIRS); do \
 		cd "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install ; \
 		cd ..; \
 	done
@@ -80,7 +81,7 @@
 	dh_testroot
 
 	dh_installdocs
-	dh_install --sourcedir=debian/tmp --list-missing
+	dh_install --sourcedir=debian/tmp --fail-missing
 	dh_installchangelogs
 	dh_link
 	dh_strip
@@ -88,7 +89,6 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_makeshlibs
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## xutils-dev 7.5+2

=== debian/changelog ===
xutils-dev (1:7.5+2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Brice Goglin ]
  * util-macros 1.5.0, closes: #568335.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 07 Feb 2010 11:41:23 +0100

xutils-dev (1:7.5+1) unstable; urgency=low

  * Add watch files and debian/rules target to download tarballs.
  * New upstream releases:
    - makedepend 1.0.2
    - util-macros 1.4.2
    - xorg-cf-files 1.0.3
  * Drop 07_cf_GNUArchitecture_for_GNU_kFreeBSD.diff, applied upstream.
  * Update debian/copyright from util-macros/COPYING.

 -- Julien Cristau <jcristau@debian.org>  Sat, 16 Jan 2010 15:41:40 +0000

xutils-dev (1:7.5~1) unstable; urgency=low

  * util-macros 1.3.0.
  * debian/rules: make sure we bail if one install command fails.
  * Drop obsolete Pre-Depends on x11-common.  Bump Standards-Version to 3.8.3.

 -- Julien Cristau <jcristau@debian.org>  Fri, 11 Sep 2009 22:49:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Julien Cristau <jcristau@debian.org>, Brice Goglin <bgoglin@debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Brice Goglin <bgoglin@debian.org>
 Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev
-Standards-Version: 3.8.2
+Standards-Version: 3.8.3
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git
 
 Package: xutils-dev
 Architecture: any
-Pre-Depends: x11-common (>= 1:7.0.0)
 Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
 Conflicts: imake (<= 1:1.0.1-1), makedepend (<= 1:1.0.0-1), xorg-build-macros (<= 1.0.1-1), xmkmf (<= 0.99.0-6)
 Replaces: imake (<= 1:1.0.1-1), makedepend (<= 1:1.0.0-1), xorg-build-macros (<= 1.0.1-1), xmkmf (<= 0.99.0-6)

## xutils-dev 7.5+4~unity2d1

=== debian/changelog ===
xutils-dev (1:7.5+4~unity2d1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Tue, 01 Feb 2011 16:56:11 -0700

xutils-dev (1:7.5+4) unstable; urgency=low

  [ Robert Hooker ]
  * util-macros 1.10.0.

  [ Julien Cristau ]
  * Bump Standards-Version to 3.9.0.
  * Drop Conflicts/Replaces/Provides on imake, makedepend, xorg-build-macros
    and xmkmf.  These packages are only in old ubuntu releases, and upgrades
    from dapper to maverick are not supported AFAIK.

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Jul 2010 14:41:22 +0100

xutils-dev (1:7.5+3) unstable; urgency=low

  * util-macros 1.7.0.
  * imake 1.0.3.
  * Drop 01_netbsd_imake.c_fixes.diff.  Doesn't apply, and Debian/NetBSD seems
    dead.
  * Rediff 04_xutils-dev-debian.diff.
  * Update imake section in debian/copyright from upstream COPYING.

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 May 2010 14:31:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,13 @@
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Brice Goglin <bgoglin@debian.org>
 Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git
 
 Package: xutils-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
-Conflicts: imake (<= 1:1.0.1-1), makedepend (<= 1:1.0.0-1), xorg-build-macros (<= 1.0.1-1), xmkmf (<= 0.99.0-6)
-Replaces: imake (<= 1:1.0.1-1), makedepend (<= 1:1.0.0-1), xorg-build-macros (<= 1.0.1-1), xmkmf (<= 0.99.0-6)
-Provides: imake, makedepend, xorg-build-macros, xmkmf
 Description: X Window System utility programs for development
  xutils-dev provides a set of utility programs shipped with the X Window System
  that do not require the X libraries; many of these programs are useful

=== debian/rules ===
--- 
+++ 
@@ -42,12 +42,12 @@
 	>$@
 
 $(STAMP_DIR)/build-%: $(STAMP_DIR)/patch
-	mkdir -p $*-obj-$(DEB_BUILD_GNU_TYPE)
-	cd $*-obj-$(DEB_BUILD_GNU_TYPE) && \
+	mkdir -p $*-build
+	cd $*-build && \
 		../$*/configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info $(confflags) \
 		CFLAGS="$(CFLAGS)"
-	cd $*-obj-$(DEB_BUILD_GNU_TYPE) && \
+	cd $*-build && \
 		$(MAKE)
 	>$@
 
@@ -60,7 +60,7 @@
 	rm -f */config.cache */config.log */config.status
 	rm -f conftest* */conftest*
 	rm -rf autom4te.cache */autom4te.cache
-	rm -rf *-obj-*
+	rm -rf *-build
 
 	dh_clean
 
@@ -70,9 +70,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	for FILE in $(SUBDIRS); do \
-		cd "$$FILE"-obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install ; \
-		cd ..; \
+	set -e; for FILE in $(SUBDIRS); do \
+		$(MAKE) -C $${FILE}-build DESTDIR=$(CURDIR)/debian/tmp install; \
 	done
 
 # Build architecture-dependent files here.
@@ -99,3 +98,19 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+
+.PHONY: get-tarballs
+get-tarballs: $(addprefix get-tarball-,$(SUBDIRS))
+
+.PHONY: get-tarball-%
+get-tarball-%:
+	uscan --no-conf --download --no-symlink --destdir . --package $* --upstream-version $(shell awk -F = '/^PACKAGE_VERSION=/ { print $$2 }' < $*/configure || echo 0) --watchfile debian/watch.$* || test $$? = 1
+
+debian/watch.%:
+	echo version=3 > $@
+	echo 'http://xorg.freedesktop.org/releases/individual/util/ $*-(.*)\.tar\.gz' >> $@
+
+.PHONY: watchfiles
+watchfiles: $(addprefix debian/watch.,$(SUBDIRS))
+
+# vim:set ai noet sw=8 ts=8 tw=80:

## xutils-dev 7.6%2b3%2b0m6

=== debian/changelog ===
xutils-dev (1:7.6+3+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1:7.6+3+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Sun, 27 Mar 2011 07:23:03 +0300

xutils-dev (1:7.6+3) unstable; urgency=low

  [ Robert Hooker ]
  * util-macros 1.13.0

  [ Cyril Brulebois ]
  * Add debian/versions, containing upstream to Debian version mappings,
    to ease lookups.
  * Install that file through dh_installdocs.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 27 Mar 2011 06:23:02 +0200

xutils-dev (1:7.6+2) unstable; urgency=low

  * Drop xutils-dev build-dep (Closes: #616033). This introduces
    bootstrapping issues, and its absence seems to only trigger a “Package
    xorg-macros was not found” message at configure time. It can easily be
    added back later if it becomes really required.
  * util-macros 1.12.0.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 07 Mar 2011 23:57:50 +0100

xutils-dev (1:7.6+1) unstable; urgency=low

  * xorg-cf-files 1.0.4.
  * Update debian/copyright with xorg-cf-files/COPYING.
  * Refresh 04_xutils-dev-debian.diff

 -- Cyril Brulebois <kibi@debian.org>  Sat, 08 Jan 2011 22:50:19 +0100

xutils-dev (1:7.5+5) unstable; urgency=low

  [ Julien Cristau ]
  * lndir 1.0.2.
  * util-macros 1.10.1.
  * Update debian/copyright from upstream COPYING.

  [ Cyril Brulebois ]
  * util-macros 1.11.0.
  * Wrap Build-Depends.
  * Add build-dep on xutils-dev for lndir.
  * makedepend 1.0.3.
  * Introduce SUBDIRS_CHECK where one can list packages which implement a
    testsuite. Put makedepend in it.
  * imake 1.0.4.
  * Drop 02_mkdirhier_rewrite.diff, no longer needed since upstream now
    just calls mkdir -p.
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 31 Oct 2010 16:35:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Brice Goglin <bgoglin@debian.org>
-Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev
+Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Brice Goglin <bgoglin@debian.org>, Cyril Brulebois <kibi@debian.org>
+Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev, maemo-optify
 Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git

## xutils-dev 7.6+1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,12 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Brice Goglin <bgoglin@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 5.0.0), pkg-config, quilt, x11proto-core-dev, maemo-optify
+Build-Depends:
+ debhelper (>= 5.0.0),
+ pkg-config,
+ quilt,
+ x11proto-core-dev,
+ xutils-dev (>= 1:7.5+4),
 Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # This package contains multiple modules as shipped by upstream. Each module is # contained in a subdirectory in the root dir of the package. You must list each
 # subdirectory explicitly so that the build system knows what to build
 SUBDIRS= gccmakedep imake lndir makedepend util-macros xorg-cf-files
+SUBDIRS_CHECK= makedepend
 
 CFLAGS = -Wall -g
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -49,6 +50,11 @@
 		CFLAGS="$(CFLAGS)"
 	cd $*-build && \
 		$(MAKE)
+	# Possible "make check":
+	if echo $(SUBDIRS_CHECK) | grep -qs "\<$*\>"; then \
+		cd $*-build && \
+			$(MAKE) check; \
+	fi
 	>$@
 
 clean: xsfclean

## xutils-dev 7.6+3lowell1

=== debian/changelog ===
xutils-dev (1:7.6+3lowell1) lucid; urgency=low

  * Backport to lucid.

 -- Robert Hooker <sarvatt@ubuntu.com>  Tue, 24 May 2011 16:32:42 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  pkg-config,
  quilt,
  x11proto-core-dev,
- xutils-dev (>= 1:7.5+4),
 Standards-Version: 3.9.0
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git

=== debian/rules ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	dh_testdir
 	dh_testroot
 
-	dh_installdocs
+	dh_installdocs debian/versions
 	dh_install --sourcedir=debian/tmp --fail-missing
 	dh_installchangelogs
 	dh_link

## xutils-dev 7.6+5~bpo60+1

=== debian/changelog ===
xutils-dev (1:7.6+5~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 07 Aug 2011 15:30:28 +0200

xutils-dev (1:7.6+5) unstable; urgency=low

  * util-macros 1.15.0
  * Update versions file accordingly.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Update Uploaders list. Thanks, David, Andres & Brice!
  * Wrap Depends.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 24 Jun 2011 11:36:28 +0200

xutils-dev (1:7.6+4) unstable; urgency=low

  * util-macros 1.14.0
  * Update versions file accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Jun 2011 01:26:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,22 @@
 Section: x11
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: David Nusinow <dnusinow@debian.org>, Andres Salomon <dilinger@debian.org>, Brice Goglin <bgoglin@debian.org>, Cyril Brulebois <kibi@debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends:
  debhelper (>= 5.0.0),
  pkg-config,
  quilt,
  x11proto-core-dev,
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git
 
 Package: xutils-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, cpp
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ cpp,
 Description: X Window System utility programs for development
  xutils-dev provides a set of utility programs shipped with the X Window System
  that do not require the X libraries; many of these programs are useful

## xutils-dev 7.6+6

=== debian/changelog ===
xutils-dev (1:7.6+6) unstable; urgency=low

  [ Julien Cristau ]
  * Change library directory from /usr/lib64 to /usr/lib on s390x as well
    (closes: #637903).  Thanks, Aurélien Jarno!

  [ Steve Langasek ]
  * Mark xutils-dev Multi-Arch: foreign.

 -- Steve Langasek <vorlon@debian.org>  Tue, 08 Nov 2011 19:00:21 -0800

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 Package: xutils-dev
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

## xutils-dev 7.7~1

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  debhelper (>= 5.0.0),
  pkg-config,
  quilt,
- x11proto-core-dev,
+ x11proto-core-dev (>= 7.0.17),
+ autoconf,
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git

## xutils-dev 7.7~1build1

=== debian/changelog ===
xutils-dev (1:7.7~1build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:33:37 +0100

xutils-dev (1:7.7~1) unstable; urgency=low

  [ Robert Hooker ]
  * imake 1.0.5
  * makedepend 1.0.4
  * lndir 1.0.3
  * Bump x11proto-core-dev build dep version, required by the lndir
    update.
  * util-macros 1.17.0

  [ Julien Cristau ]
  * Don't require (fake)root for debian/rules clean.
  * Build-Depend on autoconf to work around lack of AM_MAINTAINER_MODE in
    makedepend's configure.ac.
  * Bump version number as we're nearing X.Org X11R7.7.

 -- Julien Cristau <jcristau@debian.org>  Wed, 14 Mar 2012 20:07:57 +0100

## xutils-dev 7.7~1ubuntu5

=== debian/changelog ===
xutils-dev (1:7.7~1ubuntu5) saucy; urgency=low

  * Work around undefined DefaultGcc2AArch64Opt macro.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jul 2013 00:53:20 +0200

xutils-dev (1:7.7~1ubuntu4) saucy; urgency=low

  * Add missing defines in the xorg-cf-files. LP: #1137510.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2013 16:37:39 +0200

xutils-dev (1:7.7~1ubuntu2) saucy; urgency=low

  * Update config files for Aarch64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Jul 2013 22:37:07 +0200

## xutils-dev 7.7~1ubuntu6

=== debian/changelog ===
xutils-dev (1:7.7~1ubuntu6) trusty; urgency=medium

  * 99_ppc64el.diff: Add support for ppc64el as little-endian ppc64.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Dec 2013 05:29:13 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends:
  debhelper (>= 5.0.0),

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 
 clean: xsfclean
 	dh_testdir
-	dh_testroot
 	rm -f build-stamp
 
 	rm -f config.cache config.log config.status

## xutils-dev 7.7~1.20.201403161320

=== debian/changelog ===
xutils-dev (1:7.7~1.20.201403161320) ucs4-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Sun, 16 Mar 2014 13:20:02 +0100

## xutils-dev 7.7%2B6.2

=== debian/control ===
Source: xutils-dev
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 pkg-config,
 quilt,
 x11proto-dev,
 autoconf,
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xutils-dev.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xutils-dev.git

Package: xutils-dev
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 cpp,
Description: X Window System utility programs for development
 xutils-dev provides a set of utility programs shipped with the X Window System
 that do not require the X libraries; many of these programs are useful
 even on a system that does not have any X clients or X servers installed.
 .
 The programs in this package include:
  - imake, a C preprocessor interface to the make utility;
  - lndir, a tool that creates a shadow directory of symbolic links to
    another directory tree;
  - makedepend, a tool to create dependencies in makefiles;
  - makeg, a tool for making debuggable executables.
 .
 This package also contains xorg-macros.m4, a set of macros used in configure
 scripts of X.Org packages.

## xutils-dev 7.7+1

=== debian/changelog ===
xutils-dev (1:7.7+1) unstable; urgency=low

  * xorg-cf-files: Debian GNU/Hurd uses /usr as ProjectRoot and /usr/share/man
    for manpages (closes: #638016).  Thanks, Svante Signell.
  * imake 1.0.6.
  * xorg-cf-files 1.0.5.
  * makedepend 1.0.5.
  * Update patches for new xorg-cf-files.
  * Use dh_autotools-dev_* to update config.{guess,sub}.
  * Bump debhelper compat level to 7.
  * Replace dh_clean -k with dh_prep.
  * Use dpkg-buildflags.
  * Make imake build with -Werror=format-security.
  * util-macros 1.17.1.
  * Disable silent build rules.
  * Force RAWCPP to cpp-4.7 since 4.8 seems to break stuff (adds 40 blank lines
    before the #!).

 -- Julien Cristau <jcristau@debian.org>  Mon, 09 Sep 2013 20:23:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: x11
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ dpkg-dev (>= 1.16.1),
+ debhelper (>= 7),
  autotools-dev,
  pkg-config,
  quilt,
- x11proto-dev,
+ x11proto-core-dev (>= 7.0.17),
  autoconf,
-Standards-Version: 3.9.6
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xutils-dev.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xutils-dev.git
+ cpp-4.7,
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
+Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git
 
 Package: xutils-dev
 Architecture: any
@@ -26,6 +29,7 @@
  even on a system that does not have any X clients or X servers installed.
  .
  The programs in this package include:
+  - ccmakedep, a version of makedepend which "does it right"
   - imake, a C preprocessor interface to the make utility;
   - lndir, a tool that creates a shadow directory of symbolic links to
     another directory tree;

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,6 @@
 SUBDIRS= gccmakedep imake lndir makedepend util-macros xorg-cf-files
 SUBDIRS_CHECK= makedepend
 
-CFLAGS = -Wall -g
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEFLAGS += -j$(NUMJOBS)
@@ -42,14 +36,19 @@
 build-stamp: $(STAMP_DIR)/genscripts $(foreach dir, $(SUBDIRS), $(STAMP_DIR)/build-$(dir))
 	>$@
 
-$(STAMP_DIR)/build-%: $(STAMP_DIR)/patch
+$(STAMP_DIR)/autotools-dev: $(STAMP_DIR)/prepare
+	dh_autotools-dev_updateconfig
+	>$@
+
+$(STAMP_DIR)/build-%: $(STAMP_DIR)/patch $(STAMP_DIR)/autotools-dev
 	mkdir -p $*-build
 	cd $*-build && \
 		../$*/configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info $(confflags) \
-		CFLAGS="$(CFLAGS)"
+		--disable-silent-rules \
+		$(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
 	cd $*-build && \
-		$(MAKE)
+		$(MAKE) RAWCPP=/usr/bin/cpp-4.7
 	# Possible "make check":
 	if echo $(SUBDIRS_CHECK) | grep -qs "\<$*\>"; then \
 		cd $*-build && \
@@ -60,21 +59,19 @@
 clean: xsfclean
 	dh_testdir
 	rm -f build-stamp
-
 	rm -f config.cache config.log config.status
 	rm -f */config.cache */config.log */config.status
 	rm -f conftest* */conftest*
 	rm -rf autom4te.cache */autom4te.cache
 	rm -rf *-build
-
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
-
 	set -e; for FILE in $(SUBDIRS); do \
 		$(MAKE) -C $${FILE}-build DESTDIR=$(CURDIR)/debian/tmp install; \
 	done
@@ -83,9 +80,8 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-
 	dh_installdocs debian/versions
-	dh_install --sourcedir=debian/tmp --fail-missing
+	dh_install --fail-missing
 	dh_installchangelogs
 	dh_link
 	dh_strip

## xutils-dev 7.7+3

=== debian/changelog ===
xutils-dev (1:7.7+3) unstable; urgency=medium

  * gccmakedep 1.0.3.
  * util-macros 1.19.0.
  * imake 1.0.7.
    + drop -Werror=format-security FTBFS patch, applied upstream
  * The new upstream releases allow us to go back to default cpp version
    (closes: #742436)
  * Disable ccmakedep because it's actually not fixed with the new imake
    release, and nothing in Debian seems to use it.  Incidentally, this
    closes: #693129.
  * Remove Cyril from Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Wed, 21 May 2014 21:43:34 +0200

xutils-dev (1:7.7+2) unstable; urgency=medium

  [ Julien Cristau ]
  * util-macros 1.18.0.

  [ Wookey ]
  * Add missing AArch64/arm64 default C options (closes: #734944)

 -- Julien Cristau <jcristau@debian.org>  Sun, 12 Jan 2014 19:10:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: x11
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Cyril Brulebois <kibi@debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
  debhelper (>= 7),
@@ -11,7 +10,6 @@
  quilt,
  x11proto-core-dev (>= 7.0.17),
  autoconf,
- cpp-4.7,
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git
@@ -29,7 +27,6 @@
  even on a system that does not have any X clients or X servers installed.
  .
  The programs in this package include:
-  - ccmakedep, a version of makedepend which "does it right"
   - imake, a C preprocessor interface to the make utility;
   - lndir, a tool that creates a shadow directory of symbolic links to
     another directory tree;

## xutils-dev 7.7+3ubuntu1

=== debian/changelog ===
xutils-dev (1:7.7+3ubuntu1) vivid; urgency=medium

  * Merge from debian unstable, remaining changes:
    - 99_ppc64el.diff: Add support for ppc64el as little-endian ppc64.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Feb 2015 14:08:47 +0200

## xutils-dev 7.7+3ubuntu2

=== debian/changelog ===
xutils-dev (1:7.7+3ubuntu2) xenial; urgency=high

  * Cherrypick patch from
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=613674 to resolve
    failure to detect xmlto.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Dec 2015 11:57:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
  debhelper (>= 7),

=== debian/rules ===
--- 
+++ 
@@ -46,9 +46,10 @@
 		../$*/configure --prefix=/usr --mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info $(confflags) \
 		--disable-silent-rules \
+		--disable-ccmakedep \
 		$(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
 	cd $*-build && \
-		$(MAKE) RAWCPP=/usr/bin/cpp-4.7
+		$(MAKE)
 	# Possible "make check":
 	if echo $(SUBDIRS_CHECK) | grep -qs "\<$*\>"; then \
 		cd $*-build && \

## xutils-dev 7.7+5

=== debian/changelog ===
xutils-dev (1:7.7+5) unstable; urgency=medium

  [ Andreas Boll ]
  * xorg-cf-files 1.0.6.
    - Adds support for OpenRISC 1000 (or1k) (Closes: #760419).
    - Uses gzip -n to not save the timestamps. (Closes: #789964).
  * Update 04_xutils-dev-debian.diff for new xorg-cf-files.
  * Remove reference to xsfbs in README.source.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Add a lintian override for extra-license-file
    usr/lib/X11/config/bsd.cf.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Jan 2016 15:17:46 +0200

xutils-dev (1:7.7+4) unstable; urgency=medium

  [ Andreas Boll ]
  * [util-macros] Add patch from upstream git to fix macro
    XORG_WITH_XMLTO (Closes: #613674).  Thanks, Peter Pearse, Helmut
    Grohne and Gaetan Nadon!
  * Update Vcs-* fields.

  [ Julien Cristau ]
  * Use dh, drop xsfbs.
  * Let uscan verify tarball signatures.

 -- Julien Cristau <jcristau@debian.org>  Wed, 20 Jan 2016 23:06:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
- debhelper (>= 7),
+ debhelper (>= 9),
  autotools-dev,
  pkg-config,
  quilt,
  x11proto-core-dev (>= 7.0.17),
  autoconf,
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-xorg/app/xutils-dev
-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/xutils-dev.git
+Standards-Version: 3.9.6
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xutils-dev.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/app/xutils-dev.git
 
 Package: xutils-dev
 Architecture: any

## xutils-dev 7.7+5ubuntu1

=== debian/changelog ===
xutils-dev (1:7.7+5ubuntu1) zesty; urgency=low

  * Merge from debian unstable, remaining changes:
    - 99_ppc64el.diff: Add support for ppc64el as little-endian ppc64.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Dec 2016 16:12:12 +0100

## xutils-dev 7.7+5ubuntu2

=== debian/changelog ===
xutils-dev (1:7.7+5ubuntu2) focal; urgency=medium

  * Add riscv64 support (patch from Debian).

 -- William Grant <wgrant@ubuntu.com>  Fri, 29 Nov 2019 16:50:47 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
  debhelper (>= 9),

## xutils-dev 7.7+5ubuntu3

=== debian/changelog ===
xutils-dev (1:7.7+5ubuntu3) hirsute; urgency=medium

  * d/{p/ar_command.patch,rules}: Modify ar commands to remove -l argument.
    - The "l" option didn't do anything in binutils until 2.36, where it now
      is used to record libdeps and leads to a "libdeps specified more than
      once" error when used incorrectly (in packages using imake).

 -- Logan Rosen <logan@ubuntu.com>  Mon, 01 Feb 2021 22:55:11 -0500

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xutils package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# set this to the name of the main shlib's binary package
PACKAGE = xutils-dev

# This package contains multiple modules as shipped by upstream. Each module is # contained in a subdirectory in the root dir of the package. You must list each
# subdirectory explicitly so that the build system knows what to build
SUBDIRS= gccmakedep imake lndir makedepend util-macros xorg-cf-files
SUBDIRS_CHECK= makedepend

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --with quilt,autotools-dev --parallel

override_dh_auto_configure: $(foreach dir, $(SUBDIRS), configure-$(dir)-stamp)

configure-%-stamp:
	dh_auto_configure -D$* -B$*-build -- \
		--disable-silent-rules \
		--disable-ccmakedep \
		--with-create-lib-cmd="ar cq" \
		--libdir=\$${exec_prefix}/lib \
		$(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)

override_dh_auto_build: $(foreach dir, $(SUBDIRS), build-$(dir)-stamp)

build-%-stamp:
	dh_auto_build -D$* -B$*-build

override_dh_auto_test: $(addprefix test-, $(SUBDIRS))

.PHONY: test-%
test-%:
	dh_auto_test -D$* -B$*-build

override_dh_auto_install:
	set -e; for FILE in $(SUBDIRS); do \
		$(MAKE) -C $${FILE}-build DESTDIR=$(CURDIR)/debian/tmp install; \
	done

override_dh_installdocs:
	dh_installdocs debian/versions

override_dh_install:
	dh_install --fail-missing

override_dh_auto_clean: $(addprefix clean-, $(SUBDIRS))

.PHONY: clean-%
clean-%:
	dh_auto_clean -D$* -B$*-build

.PHONY: get-tarballs
get-tarballs: $(addprefix get-tarball-,$(SUBDIRS))

.PHONY: get-tarball-%
get-tarball-%:
	uscan --no-conf --download --no-symlink --destdir . --package $* --upstream-version $(shell awk -F = '/^PACKAGE_VERSION=/ { print $$2 }' < $*/configure || echo 0) --watchfile debian/watch.$* || test $$? = 1

# vim:set ai noet sw=8 ts=8 tw=80:

## xutils-dev 7.7+5+1.riscv64.1

=== debian/changelog ===
xutils-dev (1:7.7+5+1.riscv64.1) unreleased; urgency=medium

  * Non-maintainer upload.
  * riscv64 support, fixes

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 12 Apr 2018 00:20:05 +0200

xutils-dev (1:7.7+5+0.riscv64.1) unreleased; urgency=medium

  * Non-maintainer upload.
  * riscv64 support

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 10 Apr 2018 19:05:22 +0200

## xutils-dev 7.7+6

=== debian/changelog ===
xutils-dev (1:7.7+6-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.
  * Switch to source/format 3.0 (quilt).

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 06 Jan 2022 12:16:06 -0500

xutils-dev (1:7.7+6) unstable; urgency=medium

  [ Julien Cristau ]
  * Switch all xorg.freedesktop.org URLs in packaging to https.

  [ Timo Aaltonen ]
  * control: Migrate to x11proto-dev.
  * imake: Updated to 1.0.8.
  * makedepend: Updated to 1.0.6.
  * util-macros: Updated to 1.19.3.
  * xorg-cf-files: Updated to 1.0.7. (Closes: #994276)
  * 08_xorg_with_xmlto.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Dec 2021 21:38:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xutils-dev
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Build-Depends:
  dpkg-dev (>= 1.16.1),
@@ -9,7 +9,7 @@
  autotools-dev,
  pkg-config,
  quilt,
- x11proto-core-dev (>= 7.0.17),
+ x11proto-dev,
  autoconf,
 Standards-Version: 3.9.6
 Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/app/xutils-dev.git

=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,15 @@
 %:
 	dh $@ --with quilt,autotools-dev --parallel
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure: $(foreach dir, $(SUBDIRS), configure-$(dir)-stamp)
 
 configure-%-stamp:
 	dh_auto_configure -D$* -B$*-build -- \
 		--disable-silent-rules \
 		--disable-ccmakedep \
-		--with-create-lib-cmd="ar cq" \
 		--libdir=\$${exec_prefix}/lib \
 		$(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
